Compatibilité version

Imprimer Syndication RSS 2.0

wazaby

Nouveau
Nouveau

Avatar de wazaby

Messages : 3

Inscription :

Bonsoir Jchouix,

J'ai téléchargé le fork "fork_PGEditor_v2.5.0beta3_guppy_v4.6.x.zip" alors que je suis en 4.6.5, et effectivement cela ne fonctionne pas (du moins en local) Ne souhaitant pas forcément upgrader Guppy, n'y a-t-il pas un moyen d'adapter le fork ?

Merci d'avance ...

Aller en haut de page Aller en bas de page

Réponses

jchouix

Administrateur

Avatar de jchouix

Messages : 1370

Inscription :

bonsoir wazaby,
le seul fichier qu'il faut adapter est le fichier intitulé postguest.php situé à la racine dans le pack.
Ce que tu peux essayer, c'est de télécharger le pack intitulé fork_PGEditor_v2.5.0_guppy_v4.6.6+ et d'installer tous les fichiers sauf le fichier postguest.php.
Normalement, cela devrait fonctionner car le fichier d'origine postguest.php de guppy v4.6.5 intègre déjà les modifs pour l'utilisation de l'éditeur.
A+

Aller en haut de page Aller en bas de page

wazaby

Nouveau
Nouveau

Avatar de wazaby

Messages : 3

Inscription :

J'ai essayé, sans succès ... En laissant le fichier postguest de la version 4.6.5, l'icone pour l'insertion d'image n'apparaît pas dans le menu de l'editeur. Et quelque soit le fichier postguest des deux forks que je prenne, l'image apparaît, en cliquant dessus on obtient la fenêtre pour entrer l'URL de l'image, celle-ci s'affiche ensuite dans l'editeur, mais n'est pas envoyée dans le message ...

Aller en haut de page Aller en bas de page

jchouix

Administrateur

Avatar de jchouix

Messages : 1370

Inscription :

bonjour,
Citation
Et quelque soit le fichier postguest des deux forks que je prenne, l'image apparaît, en cliquant dessus on obtient la fenêtre pour entrer l'URL de l'image, celle-ci s'affiche ensuite dans l'editeur, mais n'est pas envoyée dans le message ...
as tu configuré correctement ton fichier de configuration intitulé config_pgeditor.php situé dans le répertoire inc/config_pgeditor_guppy/ ?
Il te faut mettre à la valeur TRUE à la ligne 25 le code suivant :
define('ALLOWED_INSERT_IMG', false);

comme ceci :
define('ALLOWED_INSERT_IMG', true);

A+

Message édité 1 fois, dernière édition par jchouix le Aller en haut de page Aller en bas de page

wazaby

Nouveau
Nouveau

Avatar de wazaby

Messages : 3

Inscription :

oui, et avec toutes sortes d'excuses Jchouix ...

en fait, cela ne fonctionnait pas en local avec la plateforme "easyphp" (sans doute à cause d'une fonction "mail", je n'y entend rien) ... une fois les fichiers transférés sur mon espace d'hébergement, cela a fonctionné tout à fait normalement ... avec ton fork 4.6.6, en version 4.5.6, et en utilisant le fichier postguest du fork ...
merci pour tout !
mes amitiés à tous les guppystes,

Aller en haut de page Aller en bas de page